#!/bin/sh
# 
# @file stop.sh
# @brief Kill all processes started by gui.sh / cui.sh / mic.sh / file.sh
# @author AdinResearch,Inc
#

rnaportpid=`ps -C "BetaRnaPortComp" -o pid=`
if test -n "$rnaportpid"; then
    kill $rnaportpid
    echo "BetaRnaPortComp stopped."
fi

rnaservicepid=`ps -C "BetaRnaServiceComp" -o pid=`
if test -n "$rnaservicepid"; then
    kill $rnaservicepid
    echo "BetaRnaServiceComp stopped."
fi

omnipid=`ps -C "omniNames" -o pid=`
if test -n "$omnipid"; then
    kill $omnipid
    echo "Naming service stopped."
fi
